### Method

# Gdk AppLaunchContextset_icon_name

#### Declaration [src]

    void
    gdk_app_launch_context_set_icon_name (
      GdkAppLaunchContext* context,
      const char* icon_name
    )

#### Description [src]

Sets the icon for applications that are launched with this context.

The `icon_name` will be interpreted in the same way as the Icon field in desktop files. See also `gdk_app_launch_context_set_icon()`.

If both `icon` and `icon_name` are set, the `icon_name` takes priority. If neither `icon` or `icon_name` is set, the icon is taken from either the file that is passed to launched application or from the `GAppInfo` for the launched application itself.

#### Parameters

`icon_name`

  Type: `const char*`

  An icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.